Bug 816288 - Live installs need to execute mactel-boot-setup
Summary: Live installs need to execute mactel-boot-setup
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 17
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Brian Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedNTH
Keywords:
Depends On:
Blocks: F17-accepted, F17FinalFreezeExcept
TreeView+ depends on / blocked
 
Reported: 2012-04-25 17:56 UTC by Matthew Garrett
Modified: 2013-01-10 07:53 UTC (History)
11 users (show)

Fixed In Version: anaconda-17.24-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-21 20:54:52 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthew Garrett 2012-04-25 17:56:01 UTC
mactel-boot was performing its post-update setup using triggers, but these aren't executed on live installs. This is necessary to ensure that certain bits of bootloader metadata are configured and for the artwork to be properly installed. 0.9-5 of the package moves this out to /usr/libexec/mactel-boot-setup which will exit cleanly with no effect if it's not a Mac install.

Comment 1 Jesse Keating 2012-04-25 18:00:44 UTC
As discussed on IRC, bcl is the right person for this job.

Comment 2 Chris Murphy 2012-05-05 07:43:19 UTC
Still not a boot option either using option key @ startup, or in System Preferences > Startup Disk panel, after a Live install with TC3.

Comment 3 Chris Murphy 2012-05-10 20:41:02 UTC
>>(In reply to comment #2)

Same results with both TC4 Live Desktop, and TC4 DVD based installations.

Comment 4 Adam Williamson 2012-05-12 03:53:29 UTC
Proposing as NTH, per mjg59's request.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 5 Andre Robatino 2012-05-12 04:02:01 UTC
+1 NTH

Comment 6 Dennis Gilmore 2012-05-12 04:04:35 UTC
+1 nth

Comment 7 Adam Williamson 2012-05-12 04:12:54 UTC
Accepted as NTH with the above votes - this can cause Mac installs from live to be unbootable, AIUI.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 8 Adam Williamson 2012-05-12 04:14:09 UTC
This requires https://admin.fedoraproject.org/updates/FEDORA-2012-6693/mactel-boot-0.9-5.fc17 , according to Matt. He forgot to push it before freeze.

Comment 9 Chris Murphy 2012-05-12 04:17:22 UTC
Unbootable, and AFAIK only work around is to go with a CSM mode install and create a hybrid MBR post install to make it bootable.

Should I file a separate bug, or clone this one, for DVD? It is bootable only temporarily, if the user set Mac OS X to be default boot, there's no (apparent) way to reboot Fedora.

Comment 10 Chris Murphy 2012-05-12 19:48:28 UTC
TC5 Live Desktop incorporates this and mostly works. Probably should file separate bugs for remaining minor issues? (Disk label is "untitled", and  reboot defaults to Mac OS after Fedora install.)

Comment 11 Adam Williamson 2012-05-15 02:23:59 UTC
Note that there's now a 0.9-6 build which fixes up a few non-vital mistakes in the 0.9-5 build. We can go with 0.9-6 for TC6.

https://admin.fedoraproject.org/updates/mactel-boot-0.9-6.fc17



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 12 Adam Williamson 2012-05-21 20:54:52 UTC
0.9-6 is stable, in RC2 and RC3, and generally reported to work well. Closing.


Note You need to log in before you can comment on or make changes to this bug.